@font-face {
  font-family: 'Aptos-Regular';
  src: url('../font/Aptos.ttf') format('truetype');
}
@font-face {
  font-family: 'Aptos-SemiBold';
  src: url('../font/Aptos-SemiBold.ttf') format('truetype');
}
@font-face {
  font-family: 'Aptos-Bold';
  src: url('../font/Aptos-Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'Aptos-Black';
  src: url('../font/Aptos-Black.ttf') format('truetype');
}

.aptos-regular { font-family: 'Aptos-Regular'; }
.aptos-semibold { font-family: 'Aptos-SemiBold'; }
.aptos-bold { font-family: 'Aptos-Bold'; }
.aptos-black { font-family: 'Aptos-Black'; }

:root {
  --black: #000000;
  --white: #ffffff;
  --primary-500: #005776;
  --primary-400: #7FC3C7;
  --primary-300: #CBDDE3;
  
  --green-500: #289BA2;
  --green-400: #44CF93;
  --green-300: #DFFF11;

  --orange-500: #F24A00;
  --orange-50: #FAD9D1;

  --yellow-500: #F9C20A;
}

/* HTML GLOBAL */
html, body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Aptos-Regular';
  color: var(--primary-500);
}

p, span {
  font-size: 16px;
  color: var(--primary-500);
}

/* Text sizes */
.text-xs {
  font-size: 0.75rem; /* 12px */
  line-height: 1rem; /* 16px */
}
.text-sm {
  font-size: 0.875rem; /* 14px */
  line-height: 1.25rem; /* 20px */
}
.text-base {
  font-size: 1rem; /* 16px */
  line-height: 1.5rem; /* 24px */
}
.text-lg {
  font-size: 1.125rem; /* 18px */
  line-height: 1.75rem; /* 28px */
}
.text-xl {
  font-size: 1.25rem; /* 20px */
  line-height: 1.75rem; /* 28px */
}
.text-2xl {
  font-size: 1.5rem; /* 24px */
  line-height: 2rem; /* 32px */
}
.text-3xl {
  font-size: 1.875rem; /* 30px */
  line-height: 2.25rem; /* 36px */
}
.text-4xl {
  font-size: 2.25rem; /* 36px */
  line-height: 2.5rem; /* 40px */
}
.text-5xl {
  font-size: 3rem; /* 48px */
  line-height: 1;
}
.text-6xl {
  font-size: 4rem; /* 60px */
  line-height: 1;
}
.text-7xl {
  font-size: 4.5rem; /* 72px */
  line-height: 1;
}
.text-8xl {
  font-size: 6rem; /* 96px */
  line-height: 1;
}
.text-9xl {
  font-size: 8rem; /* 128px */
  line-height: 1;
}

/* FONT WEIGHTS */
.font-thin	{ font-weight: 100; }
.font-extralight	{ font-weight: 200; }
.font-light	{ font-weight: 300; }
.font-regular	{ font-weight: 400; }
.font-medium	{ font-weight: 500; }
.font-semibold	{ font-weight: 600; }
.font-bold	{ font-weight: 700; }
.font-extrabold	{ font-weight: 800; }
.font-black	{ font-weight: 900; }

/* TEXT ALIGNMENT */
.text-start { text-align: start; }
.text-center { text-align: center; }
.text-end { text-align: end; }
.text-justify { text-align: justify; }

/* TEXT COLORS*/
.text-black { color: var(--black); }
.text-white { color: var(--white); }
.text-primary-500 { color: var(--primary-500); }
.text-primary-400 { color: var(--primary-400); }
.text-primary-300 { color: var(--primary-300); }
.text-green-500 { color: var(--green-500); }
.text-green-400 { color: var(--green-400); }
.text-green-300 { color: var(--green-300); }
.text-orange-500 { color: var(--orange-500); }
.text-orange-50 { color: var(--orange-50); }
.text-yellow-500 { color: var(--yellow-500); }

/* BASE RESET */
hr {
  height: 0;  /* 1 */
  color: inherit;  /* 2 */
  border-top-width: 1px;  /* 3 */
}

summary { display: list-item; }

textarea { resize: vertical; }

a {
  color: inherit;
  text-decoration: inherit;
}

.cursor-pointer {
  cursor: pointer;
}

blockquote,
dl, dd, h1, h2, h3, h4, h5, h6, hr, figure, p, pre {
  margin: 0;
}

fieldset {  margin: 0; padding: 0; }

legend { padding: 0; }

ol, ul, menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

.list-disc { list-style-type: disc; }

button,
[role="button"] {
  cursor: pointer;
  border: none;
}

:disabled { cursor: default; }

img, svg, video, canvas, audio, iframe, embed, object {
  display: block;
  vertical-align: middle;
}

img, video {
  max-width: 100%;
  height: auto;
}

/* CONATINERS */
.container { width: 100%; }
@media (min-width: 640px) { .container {  max-width: 640px; } }
@media (min-width: 768px) { .container {  max-width: 768px; } }
@media (min-width: 1024px) { .container { max-width: 1024px; } }
@media (min-width: 1280px) { .container { max-width: 1280px; } }
@media (min-width: 1366px) { .container { max-width: 1366px; } }
@media (min-width: 1536px) { .container { max-width: 1536px; } }

/* BACKGROUND COLORS*/
.bg-black { background-color: var(--black); }
.bg-white { background-color: var(--white); }
.bg-primary-500 { background-color: var(--primary-500); }
.bg-primary-400 { background-color: var(--primary-400); }
.bg-primary-300 { background-color: var(--primary-300); }
.bg-green-500 { background-color: var(--green-500); }
.bg-green-400 { background-color: var(--green-400); }
.bg-green-300 { background-color: var(--green-300); }
.bg-orange-500 { background-color: var(--orange-500); }
.bg-orange-50 { background-color: var(--orange-50); }
.bg-yellow-500 { background-color: var(--yellow-500); }

/* BORDER */
.border-0 { border: 0px; }
.border { border: solid 1px;  }
.border-2 { border: solid 2px; }
.border-4 { border: solid 4px;  }

/* BORDER COLOR */
.border-black { border-color: var(--black); }
.border-white { border-color: var(--white); }
.border-primary-500 { border-color: var(--primary-500); }
.border-primary-400 { border-color: var(--primary-400); }
.border-primary-300 { border-color: var(--primary-300); }
.border-green-500 { border-color: var(--green-500); }
.border-green-400 { border-color: var(--green-400); }
.border-green-300 { border-color: var(--green-300); }
.border-orange-500 { border-color: var(--orange-500); }
.border-orange-50 { border-color: var(--orange-50); }
.border-yellow-500 { border-color: var(--yellow-500); }

/* BORDER RADIUS */
.rounded-1 { border-radius: 0.25rem; /* 4px */ }
.rounded-2 { border-radius: 0.5rem; /* 8px */ }
.rounded-3 { border-radius: 0.75rem; /* 12px */ }
.rounded-4 { border-radius: 1rem; /* 16px */ }
.rounded-5 { border-radius: 1.25rem; /* 20px */ }
.rounded-6 { border-radius: 1.5rem; /* 24px */ }
.rounded-7 { border-radius: 1.75rem; /* 28px */ }
.rounded-full { border-radius: 9999px; }

/* WIDTH */
.w-1 { width: 0.25rem; /* 4px */ }
.w-2 { width: 0.5rem; /* 8px */ }
.w-3 { width: 0.75rem; /* 12px */ }
.w-4 { width: 1rem; /* 16px */ }
.w-5 { width: 1.25rem; /* 20px */ }
.w-8 { width: 2rem; /* 32px */ }
.w-12 { width: 3rem; /* 48px */ }
.w-fit {
  width: -moz-fit-content;
  width: fit-content;
}
.w-full {
  width: 100%;
}
.w-screen {
  width: 100vw;
}

/* MAX WIDTH */
.max-w-lg { max-width: 1024px; }
.max-w-xl { max-width: 1280px; }
.max-w-2xl { max-width: 1536px; }

/* HEIGHT */
.h-0-5 { height: 0.125rem; /* 2px */ }
.h-1 { height: 0.25rem; /* 4px */ }
.h-2 { height: 0.5rem; /* 8px */ }
.h-3 { height: 0.75rem; /* 12px */ }
.h-4 { height: 1rem; /* 16px */ }
.h-5 { height: 1.25rem; /* 20px */ }
.h-8 { height: 2rem; /* 32px */}
.h-10 { height: 2.5rem; /* 40px */ }
.h-11 { height: 2.75rem; /* 44px */ }
.h-12 { height: 3rem; /* 48px */ }
.h-15 { height: 3.75rem; /* 60px */ }
.h-16 { height: 4rem; /* 64px */ }
.h-17 { height: 4.25rem; /* 68px */ }
.h-18 { height: 4.5rem; /* 72px */ }
.h-20 { height: 5rem; /* 80px */ }
.h-21 { height: 5.25rem; /* 84px */ }
.h-25 { height: 6.25rem; /* 100px */ }
.h-26 { height: 6.5rem; /* 104px */ }
.h-46 { height: 11.5rem; /* 184px */ }
.h-fit { 
  height: -moz-fit-content;
  height: fit-content;
}
.h-full { height: 100%; }
.h-screen { height: 100vh; }
.h-max { height: max-content; }

/* POSITION */
.fixed { position: fixed; }
.relative { position: relative; }
.absolute { position: absolute; }

.top-32-neg { top: -32px; }
.top-48-neg { top: -48px; }
.top-0 { top: 0; }
.bottom-0 { bottom: 0; }
.right-20-neg { right: -20px; }
.right-50-neg { right: -50px; }
.right-60-neg { right: -60px; }
.right-70-neg { right: -70px; }
.right-80-neg { right: -80px; }
.right-100-neg { right: -100px; }
.right-180-neg { right: -180px; }
.right-190-neg { right: -190px; }
.right-200-neg { right: -200px; }
.right-0 { right: 0;}
.left-0 { left: 0;}

.z-7 { z-index: 7; }
.z-8 { z-index: 8; }
.z-9 { z-index: 9; }
.z-10 { z-index: 10; }
.z-11 { z-index: 11; }

/* DISPLAY */
.block { display: block; }
.flex { display: flex; }
.ruby { display: ruby; }
.flex-wrap { flex-wrap: wrap; }
.flex-col { flex-direction: column; }
.flex-row { flex-direction: row; }
.flex-row-reverse { flex-direction: row-reverse; }
.flex-col-reverse { flex-direction: column-reverse; }

.justify-start { justify-content: start; }
.justify-center { justify-content: center; }
.justify-end { justify-content: end; }
.justify-between { justify-content: space-between; }
.justify-around { justify-content: space-around; }

.items-start { align-items: flex-start; }
.items-center { align-items: center; }
.items-baseline { align-items: baseline; }
.items-first-baseline { align-items: first baseline; }
.items-end { align-items: end; }

/* GRID */
.grid { display: grid; }
.grid-cols-1 { grid-template-columns: repeat(1, minmax(0, 1fr)); }
.grid-cols-2 { grid-template-columns: repeat(2, minmax(0, 1fr)); }
.grid-cols-3 { grid-template-columns: repeat(3, minmax(0, 1fr)); }
.grid-cols-4 { grid-template-columns: repeat(4, minmax(0, 1fr)); }
.grid-cols-5 { grid-template-columns: repeat(5, minmax(0, 1fr)); }
.grid-cols-6 { grid-template-columns: repeat(6, minmax(0, 1fr)); }
.col-span-2 { grid-column: span 2 / span 2; }


/* GAP */
.gap-1 { gap: 0.25rem; /* 4px */ }
.gap-2 { gap: 0.5rem; /* 8px */ }
.gap-2-5 { gap: 0.625rem; /* 10px */ }
.gap-3 { gap: 0.75rem; /* 12px */ }
.gap-4 { gap: 1rem; /* 16px */ }
.gap-5 { gap: 1.25rem; /* 20px */ }
.gap-6 { gap: 1.5rem; /* 24px */ }
.gap-7 { gap: 1.75rem; /* 28px */ }
.gap-8 { gap: 2rem; /* 32px */ }
.gap-9 { gap: 2.25rem; /* 36px */ }
.gap-10 { gap: 3rem; /* 40px */ }
.gap-11 { gap: 3.25rem; /* 44px */ }
.gap-12 { gap: 3.5rem; /* 48px */ }
.gap-13 { gap: 3.75rem; /* 52px */ }


.space-y-3 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));
}
.space-y-5 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));
}
.space-y-8 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(2rem * var(--tw-space-y-reverse));
}

/* PADDING */
.p-4 { padding: 1rem; /* 16px */ }
.p-8 { padding: 2rem; /* 32px */ }
.p-9 { padding: 2.25rem; /* 36px*/ }
.p-20 { padding: 5rem; /* 80px */ }

/* PADDING Y */
.py-1 { 
  padding-top: 0.25rem; /* 4px */ 
  padding-bottom: 0.25rem; /* 4px */ 
}
.py-2 { 
  padding-top: 0.5rem; /* 8px */ 
  padding-bottom: 0.5rem; /* 8px */ 
}
.py-3 { 
  padding-top: 0.75rem; /* 12px */
  padding-bottom: 0.75rem; /* 12px */
}
.py-4 { 
  padding-top: 1rem; /* 16px */   
  padding-bottom: 1rem; /* 16px */
}
.py-5 { 
  padding-top: 1.25rem; /* 20px */
  padding-bottom: 1.25rem; /* 20px */
}
.py-6 { 
  padding-top: 1.5rem; /* 24px */
  padding-bottom: 1.5rem; /* 24px */
}
.py-7 { 
  padding-top: 1.75rem; /* 28px */
  padding-bottom: 1.75rem; /* 28px */
}
.py-8 { 
  padding-top: 2rem; /* 32px */
  padding-bottom: 2rem; /* 32px */
}
.py-10 { 
  padding-top: 2.5rem; /* 40px */
  padding-bottom: 2.5rem; /* 40px */
}
.py-12 { 
  padding-top: 3rem; /* 48px */
  padding-bottom: 3rem; /* 48px */
}
.py-15 { 
  padding-top: 3.75rem; /* 60px */
  padding-bottom: 3.75rem; /* 60px */
}
.py-18 { 
  padding-top: 4.5rem; /* 72px */
  padding-bottom: 4.5rem; /* 72px */
}
.py-25 { 
  padding-top: 6.25rem; /* 100px */
  padding-bottom: 6.25rem; /* 100px */
}

/* PADDING X */
.px-2 { 
  padding-left: 0.5rem; /* 8px */
  padding-right: 0.5rem; /* 8px */
}
.px-3 { 
  padding-left: 0.75rem; /* 12px */
  padding-right: 0.75rem; /* 12px */
}
.px-4 { 
  padding-left: 1rem; /* 16px */
  padding-right: 1rem; /* 16px */
}
.px-5 { 
  padding-left: 1.25rem; /* 20px */
  padding-right: 1.25rem; /* 20px */
}
.px-6 { 
  padding-left: 1.25rem; /* 24px */
  padding-right: 1.25rem; /* 24px */
}
.px-7 { 
  padding-left: 1.75rem; /* 28px */
  padding-right: 1.75rem; /* 28px */
}
.px-8 { 
  padding-left: 2rem; /* 32px */
  padding-right: 2rem; /* 32px */
}
.px-9 { 
  padding-left: 2.25rem; /* 36px */
  padding-right: 2.25rem; /* 36px */
}
.px-10 { 
  padding-left: 2.5rem; /* 40px */
  padding-right: 2.5rem; /* 40px */
}
.px-11 { 
  padding-left: 2.75rem; /* 44px */
  padding-right: 2.75rem; /* 44px */
}
.px-12 { 
  padding-left: 3rem; /* 48px */
  padding-right: 3rem; /* 48px */
}

/* PADDING TOP */
.pt-2 { padding-top: 0.5rem; /* 8px */; }
.pt-3 { padding-top: 0.75rem; /* 12px */; }
.pt-4 { padding-top: 1rem; /* 16px */ }
.pt-5 { padding-top: 1.25rem; /* 20px */ }
.pt-6 { padding-top: 1.5rem; /* 24px */ }
.pt-7 { padding-top: 1.75rem; /* 28px */ }
.pt-8 { padding-top: 2rem; /* 32px */ }
.pt-12 { padding-top: 3rem; /* 48px */ }
.pt-15 { padding-top: 3.75rem; /* 60px */ }
.pt-17 { padding-top: 4rem; /* 68px */ }
.pt-18 { padding-top: 4rem; /* 72px */ }
.pt-20 { padding-top: 5rem; /* 80px */ }
.pt-25 { padding-top: 6.25rem; /* 100px */ }
.pt-50 { padding-top: 12.5rem; /* 200px */ }

/* PADDING RIGHT */
.pr-4 { padding-right: 1rem; /* 16px */ }
.pr-8 { padding-right: 2rem; /* 32px */ }

/* PADDING BOTTOM */
.pb-4 { padding-bottom: 1rem; /* 16px */ }
.pb-6 { padding-bottom: 1.5rem; /* 24px */ }
.pb-8 { padding-bottom: 2rem /* 32px */ }
.pb-10 { padding-bottom: 2.5rem /* 40px */ }
.pb-15 { padding-bottom: 3.75rem; /* 60px */ }
.pb-17 { padding-bottom: 4.25rem; /* 68px */ }
.pb-20 { padding-bottom: 5rem /* 80px */ }
.pb-25 { padding-bottom: 6.25rem /* 100px */ }

/* PADDING LEFT */
.pl-3 { padding-left: 0.75rem; /* 12px */ }
.pl-4 { padding-left: 1rem; /* 16px */ }
.pl-5 { padding-left: 1.25rem; /* 20px */ }
.pl-8 { padding-left: 2rem; /* 32px */ }
.pl-12 { padding-left: 3rem; /* 48px */ }

/* MARGIN */
.m-2 {
  margin: 0.5rem; /* 8px */;
}
.m-3 {
  margin: 0.75rem; /* 12px */;
}
.m-4 {
  margin: 1rem; /* 16px */;
}
.m-5 {
  margin: 1.25rem; /* 20px */;
}
.m-6 {
  margin: 1.5rem; /* 24px */;
}

/* MARGIN Y */
.my-4 {
  margin-top: 1rem; /* 16px */
  margin-bottom: 1rem; /* 16px */
}

/* MARGIN X */
.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.mx-4 {
  margin-left: 1rem; /* 16px */
  margin-right: 1rem; /* 16px */
}

/* MARGIN TOP */
.mt-1 { margin-top: 0.25rem; /* 4px */ }
.mt-2 { margin-top: 0.5rem; /* 8px */ }
.mt-3 { margin-top: 0.75rem; /* 12px */ }
.mt-4 { margin-top: 1rem; /* 16px */ }
.mt-12 { margin-top: 3rem; /* 48px */ }
.mt-25 { margin-top: 6.25rem; /* 100px */ }

/* MARGIN RIGHT */
.mr-2 { margin-right: 0.5rem; /* 8px */ }
.mr-3 { margin-right: 0.75rem; /* 12px */ }
.mr-4 { margin-right: 1rem; /* 16px */ }
.mr-5 { margin-right: 1.25rem; /* 20px */ }
.mr-8 { margin-right: 2rem; /* 32px */ }

/* MARGIN BOTTOM */
.mb-0 { margin-bottom: 0; /* 0 */ }
.mb-2 { margin-bottom: 0.5rem; /* 8px */ }
.mb-2-5 { margin-bottom: 0.625rem; /* 10px */ }
.mb-3 { margin-bottom: 0.75rem; /* 12px */ }
.mb-4 { margin-bottom: 1rem; /* 16px */ }
.mb-5 { margin-bottom: 1rem; /* 20px */ }
.mb-6 { margin-bottom: 1.5rem; /* 24px */ }
.mb-8 { margin-bottom: 2rem; /* 32px */ }
.mb-10 { margin-bottom: 2.5rem; /* 40px */ }
.mb-12 { margin-bottom: 3rem; /* 48px */ }
.mb-15 { margin-bottom: 3.75rem; /* 60px */ }
.mb-16 { margin-bottom: 4rem; /* 64px */ }
.mb-17 { margin-bottom: 4.25rem; /* 68px */ }
.mb-18 { margin-bottom: 4.5rem; /* 72px */ }
.mb-20 { margin-bottom: 5rem; /* 80px */ }
.mb-22 { margin-bottom: 5.5rem; /* 88px */ }
.mb-25 { margin-bottom: 6.25rem; /* 100px */ }
.mb-30 { margin-bottom: 7.5rem; /* 120px */ }
.mb-50 { margin-bottom: 12.5rem; /* 200px */ }

/* MARGIN LEFT */
.ml-auto { margin-left: auto; }
.ml-4 { margin-left: 1rem; /* 16px */; }

/* UTILS */
.hidden {
  display: none;
}
.shrink-0 {
  flex-shrink: 0;
}

@media (min-width: 640px) {
  .sm\:hidden { display: none; }
  .sm\:block { display: block; }

  .sm\:justify-center { justify-content: center; }

  /* GRID */
  .sm\:grid { display: grid; }
  .sm\:grid-cols-1 { grid-template-columns: repeat(1, minmax(0, 1fr)); }
  .sm\:grid-cols-4 { grid-template-columns: repeat(4, minmax(0, 1fr)); }
  
  .sm\:flex-row { flex-direction: row; }
}


@media (min-width: 768px) {
  .md\:text-3xl {
    font-size: 1.875rem; /* 30px */
    line-height: 2.25rem; /* 36px */
  }
  .md\:text-4xl {
    font-size: 2.25rem; /* 36px */
    line-height: 2.5rem; /* 40px */
  }

  .md\:w-8 { width: 2rem; /* 32px */ }
  .md\:h-1 { height: 0.25rem; /* 4px */ }
  .md\:h-15 { height: 3.75rem; /* 60px */ }

  .md\:justify-start { justify-content: start; }
  .md\:justify-center { justify-content: center; }
  .md\:justify-end { justify-content: end; }

  .md\:gap-12 { gap: 3rem; /* 48px */ }

  /* PADDING */
  .md\:pt-0 { padding-top: 0; }

  .md\:pt-20 { padding-top: 5rem; /* 80px */ }

  .md\:pl-12 { padding-left: 3rem; /* 48px */ }

  .md\:py-0 { 
    padding-top: 0;
    padding-bottom: 0;
  }

  .md\:px-0 { 
    padding-left: 0;
    padding-right: 0;
  }

  .md\:px-6 { 
    padding-left: 1.5rem; /* 24px */;
    padding-right: 1.5rem; /* 24px */;
  }

  .md\:pt-3 { padding-top: 0.75rem; /* 12px */; }

  .md\:pb-0 { padding-bottom: 0; /* 0px */ }
  .md\:pb-8 { padding-bottom: 2rem; /* 32px */ }
  .md\:pb-20 { padding-bottom: 5rem /* 80px */ }

  /* MARGINS */
  .md\:mr-8 { margin-right: 2rem; /* 32px */ }
  .md\:mb-0 { margin-bottom: 0; /* 0px */ }
  .md\:mb-8 { margin-bottom: 2rem; /* 32px */ }
  .md\:mb-15 { margin-bottom: 3.75rem; /* 60px */ }
  .md\:mb-20 { margin-bottom: 5rem; /* 80px */ }
  
  /* DISPLAY */
  .md\:flex { display: flex; }
  .md\:flex-row { flex-direction: row; }
  .md\:block { display: block; }
  /* UTILS */
  .md\:hidden { display: none; }

  .md\:top-32 { top: 32px }

  /* GRID */
  .md\:grid { display: grid; }
  .md\:grid-cols-1 { grid-template-columns: repeat(1, minmax(0, 1fr)); }
  .md\:grid-cols-2 { grid-template-columns: repeat(2, minmax(0, 1fr)); }
  .md\:grid-cols-3 { grid-template-columns: repeat(3, minmax(0, 1fr)); }
  .md\:grid-cols-5 { grid-template-columns: repeat(5, minmax(0, 1fr)); }
  .md\:col-span-1 { grid-column: span 1 / span 1; }

  .md\:gap-8 { gap: 2rem; /* 32px */ }

  .md\:mx-0 {
    margin-left: 0;
    margin-right: 0;
  }

  .md\:max-w-330 { 
    width: 100%;
    max-width: 330px; 
  }
}

@media (min-width: 1024px) {
  .lg\:w-5 { width: 1.25rem; /* 20px */ }
  .lg\:h-5 { height: 1.25rem; /* 20px */ }
  .lg\:h-20 { height: 5rem; /* 80px */ }
  .lg\:h-23 { height: 5.75rem; /* 92px */ }
  .lg\:h-24 { height: 6rem; /* 96px */ }
  .lg\:h-25 { height: 6.25rem; /* 100px */ }
  .lg\:h-57 { height: 14.25rem; /* 228px */ }

  .lg\:text-xs {
    font-size: 0.75rem; /* 12px */
    line-height: 1rem; /* 16px */
  }
  .lg\:text-sm {
    font-size: 0.875rem; /* 14px */
    line-height: 1.25rem; /* 20px */
  }
  .lg\:text-base {
    font-size: 1rem; /* 16px */
    line-height: 1.5rem; /* 24px */
  }
  .lg\:text-lg {
    font-size: 1.125rem; /* 18px */
    line-height: 1.75rem; /* 28px */
  }
  .lg\:text-xl {
    font-size: 1.25rem; /* 20px */
    line-height: 1.75rem; /* 28px */
  }
  .lg\:text-2xl {
    font-size: 1.5rem; /* 24px */
    line-height: 2rem; /* 32px */
  }
  
  .lg\:text-3xl {
    font-size: 1.875rem; /* 30px */
    line-height: 2.25rem; /* 36px */
  }
  .lg\:text-4xl {
    font-size: 2.25rem; /* 36px */
    line-height: 2.5rem; /* 40px */
  }
  .lg\:text-5xl {
    font-size: 3rem; /* 48px */
    line-height: 1;
  }
  .lg\:text-6xl {
    font-size: 4rem; /* 60px */
    line-height: 1;
  }
  .lg\:text-7xl {
    font-size: 4.5rem; /* 72px */
    line-height: 1;
  }
  .lg\:text-8xl {
    font-size: 6rem; /* 96px */
    line-height: 1;
  }
  .lg\:text-9xl {
    font-size: 8rem; /* 128px */
    line-height: 1;
  }

  .lg\:text-primary-500 { color: var(--primary-500); }

  .lg\:text-center { text-align: center; }

  /* DISPLAY */
  .lg\:block { display: block; }
  .lg\:flex { display: flex; }
  .lg\:flex-row { flex-direction: row; }
  .lg\:flex-col-reverse { flex-direction: column-reverse; }

  .lg\:justify-start { justify-content: start; }
  .lg\:justify-center { justify-content: center; }
  .lg\:justify-end { justify-content: end; }
  .lg\:justify-between { justify-content: space-between; }

  .lg\:items-center { align-items: center; }

  .lg\:absolute { position: absolute; }

  .lg\:grid-cols-2 { grid-template-columns: repeat(2, minmax(0, 1fr)); }
  .lg\:grid-cols-3 { grid-template-columns: repeat(3, minmax(0, 1fr)); }
  .lg\:grid-cols-4 { grid-template-columns: repeat(4, minmax(0, 1fr)); }
  .lg\:col-span-1 { grid-column: span 1 / span 1; }
  .lg\:gap-2 { gap: 0.5rem; /* 8px */ }
  .lg\:gap-3 { gap: 0.75rem; /* 12px */ }
  .lg\:gap-4 { gap: 1rem; /* 16px */ }
  .lg\:gap-5 { gap: 1.25rem; /* 20px */ }
  .lg\:gap-6 { gap: 1.5rem; /* 24px */ }
  .lg\:gap-7 { gap: 1.75rem; /* 28px */ }
  .lg\:gap-8 { gap: 2rem; /* 32px */ }
  .lg\:gap-12 { gap: 3rem; /* 48px */ }
  .lg\:gap-13 { gap: 3.75rem; /* 52px */ }
  .lg\:gap-15 { gap: 3.75rem; /* 60px */ }
  .lg\:gap-20 { gap: 5rem; /* 80px */ }
  .lg\:gap-25 { gap: 6.25rem; /* 100px */ }

  .lg\:max-w-510 {
    width: 100%;
    max-width: 510px; 
  }

  .lg\:max-w-680 { 
    width: 100%;
    max-width: 680px; 
  }

  .lg\:max-w-840 { 
    width: 100%;
    max-width: 840px; 
  }

  .lg\:max-w-1024 { 
    width: 100%;
    max-width: 1024px; 
  }
  
  /* PADDING */
  .lg\:py-0 { 
    padding-top: 0;
    padding-bottom: 0;
  }

  .lg\:py-3 { 
    padding-top: 0.75rem; /* 12px */
    padding-bottom: 0.75rem; /* 12px */
  }

  .lg\:py-4 { 
    padding-top: 1rem; /* 16px */
    padding-bottom: 1rem; /* 16px */
  }

  .lg\:py-5 { 
    padding-top: 1.5rem; /* 20px */
    padding-bottom: 1.5rem; /* 20px */
  }

  .lg\:py-6 { 
    padding-top: 1.75rem; /* 24px */
    padding-bottom: 1.75rem; /* 24px */
  }

  .lg\:py-7 { 
    padding-top: 1.5rem; /* 28px */
    padding-bottom: 1.5rem; /* 28px */
  }

  .lg\:py-8 { 
    padding-top: 2rem; /* 32px */
    padding-bottom: 2rem; /* 32px */
  }

  .lg\:py-12 { 
    padding-top: 3rem; /* 48px */
    padding-bottom: 3rem; /* 48px */
  }

  .lg\:py-15 { 
    padding-top: 3.75rem; /* 60px */
    padding-bottom: 3.75rem; /* 60px */
  }

  .lg\:py-20 { 
    padding-top: 5rem; /* 80px */
    padding-bottom: 5rem; /* 80px */
  }

  .lg\:py-22 { 
    padding-top: 5.5rem; /* 88px */
    padding-bottom: 5.5rem; /* 88px */
  }
  .lg\:py-25 { 
    padding-top: 6.25rem; /* 100px */
    padding-bottom: 6.25rem; /* 100px */
  }
  .lg\:py-50 { 
    padding-top: 12.5rem; /* 200px */
    padding-bottom: 12.5rem; /* 200px */
  }
  .lg\:px-0 { 
    padding-left: 0; /* 0px */;
    padding-right: 0; /* 0px */;
  }
  .lg\:px-7 { 
    padding-left: 1.75rem; /* 28px */;
    padding-right: 1.75rem; /* 28px */;
  }
  .lg\:px-8 { 
    padding-left: 2rem; /* 32px */;
    padding-right: 2rem; /* 32px */;
  }
  .lg\:px-11 { 
    padding-left: 2.75rem; /* 44px */;
    padding-right: 2.75rem; /* 44px */;
  }

  .lg\:p-20 { padding: 5rem; /* 80px */ }
  .lg\:pt-0 { padding-top: 0; /* 0px */ }
  .lg\:pt-1 { padding-top: 0.25; /* 4px */ }
  .lg\:pt-2 { padding-top: 0.5; /* 8px */ }
  .lg\:pt-3 { padding-top: 0.75; /* 12px */ }
  .lg\:pt-4 { padding-top: 1rem; /* 16px */ }
  .lg\:pt-8 { padding-top: 2rem; /* 32px */ }
  .lg\:pt-10 { padding-top: 2.5rem; /* 40px */ }
  .lg\:pt-15 { padding-top: 3.75rem; /* 60px */ }
  .lg\:pt-20 { padding-top: 5rem; /* 80px */ }
  .lg\:pt-22 { padding-top: 5.5rem; /* 88px */ }
  .lg\:pt-23 { padding-top: 5.75rem; /* 92px */ }
  .lg\:pt-24 { padding-top: 6rem; /* 96px */ }
  .lg\:pt-25 { padding-top: 6.25rem; /* 100px */ }
  .lg\:pt-50 { padding-top: 12.5rem; /* 200px */ }

  .lg\:pb-15 { padding-bottom: 3.75rem; /* 60px */ }
  .lg\:pb-20 { padding-bottom: 5rem /* 80px */ }

  .lg\:pl-5 { padding-left: 1.25rem; /* 20px */ }
  .lg\:pl-11 { padding-left: 2.75rem; /* 44px */ }
  .lg\:pl-12 { padding-left: 3rem; /* 48px */ }
  .lg\:pl-15 { padding-left: 3.75rem; /* 60px */ }

  /* MARGIN */
  .lg\:mb-0 { margin-bottom: 0; }

  .lg\:mx-auto {
    margin-left: auto;
    margin-right: auto;
  }

  .lg\:max-w-md { max-width: 768px; }
  .lg\:max-w-lg { max-width: 1024px; }
  .lg\:max-w-2xl { max-width: 1520px; }
  
  .lg\:mt-0 { margin-top: 0; /* 0px */ }
  .lg\:mt-2 { margin-top: 0.5rem; /* 8px */ }
  
  .lg\:mr-8 { margin-right: 2rem; /* 32px */ }

  .lg\:mb-3 { margin-bottom: 0.75rem; /* 12px */ }
  .lg\:mb-5-neg { margin-bottom: -1.25rem; /* 20px */ }
  .lg\:mb-5 { margin-bottom: 1.25rem; /* 20px */ }
  .lg\:mb-6 { margin-bottom: 1.5rem; /* 24px */ }
  .lg\:mb-8 { margin-bottom: 2rem; /* 32px */ }
  .lg\:mb-11 { margin-bottom: 2.75rem; /* 44px */ }
  .lg\:mb-12 { margin-bottom: 3rem; /* 48px */ }
  .lg\:mb-14 { margin-bottom: 3.5rem; /* 56px */ }
  .lg\:mb-15 { margin-bottom: 3.75rem; /* 60px */ }
  .lg\:mb-16 { margin-bottom: 4rem; /* 64px */ }
  .lg\:mb-17 { margin-bottom: 4.25rem; /* 68px */ }
  .lg\:mb-18 { margin-bottom: 4.5rem; /* 72px */ }
  .lg\:mb-20 { margin-bottom: 5rem; /* 80px */ }
  .lg\:mb-22 { margin-bottom: 5.5rem; /* 88px */ }
  .lg\:mb-25 { margin-bottom: 6.25rem; /* 100px */ }

  .lg\:ml-12-neg { margin-left: -3rem; /* 48px */ }
  
  /* UTILS */
  .lg\:hidden { display: none; }
  .lg\:bottom-25 { bottom: 100px }

  .lg\:top-72-neg  { top: -72px; }
  .lg\:top-100-neg  { top: -100px; }
  .lg\:bottom-0 { bottom: 0; }
  .lg\:right-100-neg { right: -100px; }
  .lg\:right-0 { right: 0; }
  .lg\:left-0 { left: 0; }
}

@media (min-width: 1280px) {
  .xl\:px-0 { 
    padding-left: 0;
    padding-right: 0;
  }

  .xl\:pt-0 { padding-top: 0; }

  .xl\:bottom-35 { bottom: 140px; }

  .xl\:right-0 { right: 0;}
  .xl\:right-30 { right: 30px; }
  .xl\:right-80 { right: 320px }

  .xl\:flex { display: flex; }
  .xl\:flex-col { flex-direction: column; }
  .xl\:flex-row { flex-direction: row; }
  .xl\:block { display: block; }
  .xl\:hidden { display: none; }

  .xl\:mb-0 { margin-bottom: 0; }

  .xl\:gap-2 { gap: 0.5rem; /* 8px */ }
}

@media (min-width: 1366px) {}

@media (min-width: 1536px) {
  .fullxl\:block { display: block; }
  .fullxl\:hidden { display: none; }
  .fullxl\:right-100 { right: 400px }
}

@media (min-width: 1900px) {
  .fullxxl\:right-140 { right: 560px }
}